Foreman - Bug #33656

Cloned viewer role cannot view facts
10/07/2021 08:22 AM - Dominik Matoulek

Status: Closed
Priority: Normal
Assignee: Dominik Matoulek
Category: Facts
Target version:
Difficulty: Fixed in Releases: 3.1.0,3.2.0
Triaged: Yes Found in Releases:
Bugzilla link: 1807258 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8821
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1807258

Description of problem:

When the customer assigns the Viewer role to a non-admin user, that user can browse to Monitor > Facts to view a list of facts in
Foreman. However, when the customer removes the Viewer role from that non-admin user, clones the Viewer role and assigns the
new (ostensibly identical) role to that same non-admin user and then logs into Foreman with that user, that user is unable to browse
to Monitor > Facts to view a list of facts in Foreman.

Furthermore, simply adding the "view_facts" permission to a new role also fails to grant this access. The built-in Viewer role appears
to be the only way to grant non-admin users access to Monitor > Facts in the Foreman web UI.

How reproducible:
100% of the time

Steps to Reproduce:

method 1:

1. clone the viewer role

2. assign the new role to a new user
3. log into satellite as the new user
4. browse to monitor > facts

method 2 (failed workaround):

1. create a new role with permission view_facts
2. assign that role to a new user

3. log into satellite as the new user

4. browse to monitor > facts

Actual results:

The list of facts is empty.

Expected results:

The list of facts should appear the same for the non-admin user with these permissions as it does for an admin user.

Related issues:
Is duplicate of Foreman - Bug #30377: Assigning location and organization to ... New

Associated revisions

Revision 0d6eab65 - 11/19/2021 11:03 AM - Dominik Matoulek
Fixes #33656 - FactValue search by org and loc

Updating scoped search for Organizations and Locations relation at FactValue model. Current implementation doesn't work well because it produces
https://bugzilla.redhat.com/show_bug.cgi?id=1807258

bad SQL query. This PR fix this behavior by bypassing this relation at scoped search straight to Host relation.

History

#1 - 10/07/2021 08:23 AM - Dominik Matoulek

- Subject changed from Cloned viewer role cannot view facts
to Cloned viewer role cannot view facts

- Assignee set to Dominik Matoulek

- Triaged changed from No to Yes

#2 - 10/07/2021 08:25 AM - Dominik Matoulek

- Description updated

#3 - 10/07/2021 11:38 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8821 added

#4 - 10/08/2021 09:11 AM - Dominik Matoulek

- Is duplicate of Bug #30377: Assigning location and organization to a role causes a malfunction to the filter function "facts" added

#5 - 11/19/2021 11:03 AM - The Foreman Bot
- Fixed in Releases 3.2.0 added

#6 - 11/19/2021 12:01 PM - Dominik Matoulek
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0d6eab6570c68299353ccc16cb5f6f231ab0abce6.

#7 - 11/29/2021 08:42 AM - The Foreman Bot
- Fixed in Releases 3.1.1 added

#8 - 11/29/2021 10:38 AM - Amit Upadhye
- Fixed in Releases 3.1.0 added
- Fixed in Releases deleted (3.1.1)
